import 'dart:async';

import 'package:flutter/services.dart';

enum ToastDuration { short, long }

class FlutterPluginToast {
  static const MethodChannel _channel =
      const MethodChannel('flutter_plugin_toast_barry');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool> toast(String msg, ToastDuration duration) async{
    var argument={
      'content':msg,
      'duration':duration.toString()
    };
    var success = await _channel.invokeMethod('toast',argument);
    return success;

  }
}
